currentNode = nuke.selectedNode()
premult = nuke.createNode('Premult', inpanel=False)
checker = nuke.createNode('CheckerBoard2', 'boxsize 100', inpanel=False)
merge = nuke.nodes.Merge2(name='tmpMerge', label='delete me')

merge.setInput(0, checker)
merge.setInput(1, premult)

nuke.connectViewer(0, merge)